:root {
    --f: #000;
    --b: #fff;
}

#app {
    width: min(100%, 900px);
    margin-inline: auto;
}

body.dark {
    --f: #fff;
    --b: #000;
}

body {
    color: var(--f);
    background: var(--b);
    font-size: .8rem !important;
}

nav,
nav>ul,
footer {
    display: flex;
    align-items: center;
    gap: 10px;
}

nav,
footer {
    justify-content: space-between;
    background: var(--b);
    padding: 20px;
    border: 1px solid var(--f);
}

nav {
    margin-block-start: 20px;
    border-radius: 10px 10px 0 0;
}

footer {
    align-items: start;
    border-top: 0;
    margin-block-end: 20px;
    border-radius: 0 0 10px 10px;
}

footer>div {
    display: flex;
}

footer>div:nth-child(1) {
    flex-direction: column;
    gap: 5px;
}


footer>div:nth-child(2) {
    width: 50%;
    gap: 20px;
}

footer ul {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

nav>ul ul {
    display: none;
}

nav>ul>li:hover ul {
    display: flex;
    flex-direction: column;
    position: absolute;
    gap: 10px;
    padding: 10px;
    background: var(--b);
    border: 1px solid var(--f);
    border-radius: 5px;
}

header,
section {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px;
    background: var(--b);
    border: 1px solid var(--f);
    border-top: 0;
}

section {
    min-height: 50vh;
    align-items: center;
    justify-content: center;
    text-align: center;
}

section>div {
    display: flex;
    justify-content: space-between;
    gap: 10px;
}

section>div>div {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    gap: 10px;
    padding: 20px;
    background: var(--b);
    border: 1px solid var(--f);
    border-radius: 5px;
}

img[alt="logo"] {
    width: 100px;
}

img[alt="thumbnail"],
img[alt="journey"],
img[alt="photo"] {
    width: min(100%, 200px);
    border: 1px solid var(--f);
    border-radius: 5px;
}

button {
    background: red;
    border: 1px solid var(--f);
    padding: 2px 8px;
    cursor: pointer;
    border-radius: 3px;
}

button#mode {
    color: var(--b);
    background: var(--f);
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: bolder;
}

h1 {
    font-size: 1.5rem !important;
}

h2 {
    font-size: 1.2rem !important;
}

h3 {
    font-size: .9rem !important;
}

details {
    width: 100%;
    border: 1px solid var(--f);
    padding: 2px 4px;
    cursor: pointer;
    border-radius: 5px;
}

details>summary {
    list-style: none;
}

details>summary::-webkit-details-marker {
    display: none;
}

header,
section#cta {
    min-height: 20vh;
    align-items: start;
    justify-content: center;
}

header {
    min-height: 15vh;
}

section#cta>div {
    width: 100%;
    justify-content: space-around;
}

section#cta>div>div {
    padding: 0;
    border: 0;
    width: fit-content;
    align-items: start;
    text-align: start;
}

table {
    width: 100%;
    border-collapse: collapse;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 0 0 1px 1px var(--f);
}

table th,
table td {
    border-bottom: 1px solid var(--f);
    padding: 5px;
}

table thead {
    background: var(--f);
    color: var(--b);
}

#app::before {
    content: "";
    width: 100%;
    height: 100%;
    background: var(--b);
    position: fixed;
    top: 0;
    right: 0;
    opacity: 0;
    transition: all 1s;
    pointer-events: none
}

#app.nav-in::before {
    opacity: 1;
}

#app.nav-out::before {
    opacity: 0;
}

article {
    text-align: start;
}

#blog {
    justify-content: flex-start;
}

#articles,
#articles>div {
    display: flex;
    flex-direction: column;
    justify-items: flex-start;
    align-items: start;
    width: 100%;
    gap: 5px;
}

#articles>div {
    border: 1px solid var(--f);
    padding: 10px;
    cursor: pointer;
}

#articles+ul {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 5px;
    margin-block-start: 10px;
}

#articles+ul>li {
    border-radius: 5px;
    padding: 5px 10px;
    background: var(--b);
    cursor: pointer;
    color: var(--f);
}

#articles+ul>li[href] {
    border: 1px solid var(--f);
}


#articles+ul>li.active {
    background: var(--f);
    border: 1px solid var(--f);
    color: var(--b);
}

#article-title~section {
    align-items: start;
    justify-content: start;
    text-align: start;
}

#journey {
    min-height: 30vh;
}

#journey>div>div {
    align-items: flex-start;
    text-align: start;
    border: 0;
}